Chuyển tới nội dung chính
Phiên bản: 1.2.0

Invoice Detail

POST https://sanbox-api.tconnect.vn/invoice/api/v2/call

Lấy chi tiết một hoặc nhiều hóa đơn đầu vào theo invoiceNo.

Tham khảo tài liệu gốc: https://sanbox-api.tconnect.vn/invoice/docs

Ví dụ request:

{
"model": "res.invoice",
"method": "web_read",
"ids": [6]
}
TrườngBắt buộcMô tả
modelTên model — giá trị: "res.invoice"
methodMethod cần gọi — giá trị: "web_read"
idsDanh sách invoiceNo cần lấy chi tiết
curl -X POST 'https://sanbox-api.tconnect.vn/invoice/api/v2/call' \
-H 'Content-Type: application/json' \
-d '{
"model": "res.invoice",
"method": "web_read",
"ids": [6]
}'

Request

Body

FieldTypeRequiredDescription
modelStringTên model — giá trị: "res.invoice"
methodStringMethod cần gọi — giá trị: "web_read"
idsArrayDanh sách invoiceNo cần lấy chi tiết

Response

200 — Thành công

Trả về mảng các object hóa đơn (cùng cấu trúc với từng phần tử trong records của List Invoice).

Thông tin chung

FieldTypeNullableDescription
idStringKhôngID hóa đơn (UUID)
invoiceNoNumberKhôngSố hóa đơn
invoiceSeriesStringKhôngKý hiệu hóa đơn
invoiceTypeNumberKhôngLoại hóa đơn (xem bảng Invoice Type trong List Invoice)
invoiceTypeNameStringKhôngTên loại hóa đơn
invoiceFormStringKhôngMẫu hóa đơn
issueDateStringKhôngNgày phát hành (ISO 8601)
signedDateStringKhôngNgày ký
receivedDateStringKhôngNgày nhận
invoiceStatusStringKhôngTrạng thái hóa đơn (xem bảng Invoice Status trong List Invoice)

Thông tin người bán

FieldTypeNullableDescription
sellerTaxCodeStringKhôngMã số thuế người bán
sellerNameStringKhôngTên người bán
sellerAddressStringKhôngĐịa chỉ người bán
sellerPhoneStringKhôngSố điện thoại người bán
sellerEmailStringKhôngEmail người bán
sellerDigitalSignatureStringKhôngChữ ký số người bán (JSON string)

Thông tin người mua

FieldTypeNullableDescription
buyerTaxCodeStringKhôngMã số thuế người mua
buyerNameStringKhôngTên người mua
buyerAddressStringKhôngĐịa chỉ người mua
buyerPhoneStringSố điện thoại người mua
buyerEmailStringEmail người mua

Tổng tiền

FieldTypeNullableDescription
totalVatAmountNumberKhôngTổng tiền thuế VAT
totalAmountWithoutVatNumberKhôngTổng tiền chưa thuế
totalAmountNumberKhôngTổng tiền thanh toán
totalAmountInWordsStringKhôngTổng tiền bằng chữ

Items

FieldTypeNullableDescription
idStringKhôngID dòng hàng
orderNumberKhôngThứ tự dòng
productTypeStringKhôngLoại hàng hóa
productNameStringKhôngTên hàng hóa/dịch vụ
unitStringĐơn vị tính
quantityNumberKhôngSố lượng
unitPriceNumberKhôngĐơn giá
discountNumberKhôngChiết khấu
preTaxAmountNumberKhôngThành tiền trước thuế
taxRateStringKhôngThuế suất
totalVatAmountNumberKhôngTiền thuế VAT
totalAmountWithoutVatNumberKhôngTiền chưa thuế
totalAmountNumberKhôngTổng tiền

Response Example

[
{
"id": "9998fc42-1646-4f92-8db2-a10688d9dc2c",
"invoiceNo": 6,
"invoiceSeries": "C26TAT",
"invoiceType": 1,
"invoiceTypeName": "Hóa đơn giá trị gia tăng",
"invoiceForm": "01",
"issueDate": "2026-02-24T17:00:00Z",
"signedDate": "2026-02-25T03:51:38Z",
"receivedDate": "2026-02-25T03:51:43.441Z",
"invoiceStatus": "1",
"statusReceive": "5",
"taxAuthorityCode": "00072AFD4E4835416A951430593DA9EC0F",
"currency": "VND",
"paymentMethod": "TM/CK",
"sellerTaxCode": "09873233423",
"sellerName": "CÔNG TY CỔ PHẦN GIẢI PHÁP ABC",
"sellerAddress": "Tòa nhà GEM, Phường Sài Gòn, TP Hồ Chí Minh, Việt Nam",
"sellerPhone": "19007824",
"sellerEmail": "info@abc.vn",
"buyerTaxCode": "0983240982",
"buyerName": "CÔNG TY CỔ PHẦN GIẢI PHÁP",
"buyerAddress": "Đường A1, Phường Tân, Thành phố Hồ Chí Minh, Việt Nam.",
"buyerPhone": null,
"buyerEmail": null,
"totalVatAmount": 0,
"totalAmountWithoutVat": 1234567,
"totalAmount": 1234567,
"totalAmountInWords": "Một trăm bảy mươi chín nghìn không trăm bốn mươi bảy đồng chẵn.",
"items": [
{
"id": "664b9029-da68-4580-b14c-c4ddc0d1ba6c",
"order": 1,
"productType": "1",
"productName": "Thanh toán",
"unit": null,
"quantity": 0,
"unitPrice": 0,
"discount": 0,
"preTaxAmount": 1234567,
"taxRate": "KCT",
"totalVatAmount": 0,
"totalAmountWithoutVat": 1234567,
"totalAmount": 1234567
}
]
}
]